// ファイル名とファイルサイズのデータ
var fileList = {
	"name": "root_dir",
	"children": [
		{
			"name": "sub_dir_A",
			"children": [
				{
					"name": "sub_dir_B",
					"children": [
						{ "name": "ファイル A", "size": 5000 },
						{ "name": "ファイル B", "size": 3000 },
						{ "name": "ファイル C", "size": 1000 }
					]
				},
				{
					"name": "sub_dir_C",
					"children": [
						{ "name": "ファイル D", "size": 800 },
						{ "name": "ファイル E", "size": 200 }
					]
				}
			]
		}
	]
}
// 色を定義する
var colorList = ["#ddd", "#eee", "#f99", "#9cf", "#f9f", "#ff9", "green", "red", "cyan"];
// 色を表示するためのカウンタを用意
var count = 0;
// Treemapレイアウトにする
var treemap = d3.layout.treemap()
    .size([480, 300])	// 横幅480px, 縦幅300px
    .value(function(d) { return d.size; });	// sizeプロパティの値をデータ値とする
// #myGraphにTreemapを描画する
d3.select("#myGraph")
	.datum(fileList)	// データを割り付け
	.selectAll("div")	// divに表示するボックスを割り当てる
	.data(treemap.nodes)	// Treemapのノードを対象に処理
	.enter()
	.append("div")	// div要素を追加
	.style("left", function(d) { return d.x + "px"; })	// 表示する座標と幅などを設定
	.style("top", function(d) { return d.y + "px"; })
	.style("width", function(d) { return d.dx + "px"; })
	.style("height", function(d) { return d.dy + "px"; })
	.style("background", function(d){
		count = count + 1;	// 色の参照番号を1つ増やす
		return colorList[count];	// あらかじめ用意された配列内のカラーを返す
	})
	.style("position", "absolute")
	.style("overflow", "hidden")
	.style("border", "solid 2px white")
	.text(function(d) { 
		if (d.children){ return ""; }	// 子ノードがある場合は親ノードの名前を表示しない
		return d.name;	// 名前を返す
	});